Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class ExplicitMethodEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver
          org.mule.model.resolvers.ExplicitMethodEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

    public class ExplicitMethodEntryPointResolver

extends AbstractEntryPointResolver

An Entry-point resolver that allows the user to set one or more acceptable method names to look for. For each method reflection will be used to see if the method accepts the current payload types (the results are cached to improve performance). There has to be at least one method name set on this resolver

Field Summary

Fields inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`logger, methodCache`

Constructor Summary
`ExplicitMethodEntryPointResolver()`

Method Summary
`void` | `addMethod(String name)`
`InvocationResult` | `invoke(Object component, MuleEventContext context)`
`boolean` | `removeMethod(String name)`
`void` | `setMethods(Set<String> methods)`
`String` | `toString()`

Methods inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`addMethodByArguments, addMethodByName, getCacheKeyForPayload, getMethodByArguments, getMethodByName, getPayloadFromMessage, invokeMethod, isAcceptVoidMethods, isSynchronizeCall, setAcceptVoidMethods, setSynchronizeCall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExplicitMethodEntryPointResolver

    public ExplicitMethodEntryPointResolver()

Method Detail

### setMethods

    public void setMethods(Set<String> methods)

### addMethod

    public void addMethod(String name)

### removeMethod

    public boolean removeMethod(String name)

### invoke

    public InvocationResult invoke(Object component,
                                   MuleEventContext context)
                            throws Exception

  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractEntryPointResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.